﻿using Syncfusion.UI.Xaml.Reports;
using System;
using System.IO;
using Windows.Storage;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

// The Blank Page item template is documented at https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace TesUWP
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private async void Page_Loaded(object sender, RoutedEventArgs e)
        {
            string fname = @"Assets\Report.rdlc";
            StorageFolder InstallationFolder = Windows.ApplicationModel.Package.Current.InstalledLocation;
            StorageFile file = await InstallationFolder.GetFileAsync(fname);
            if (File.Exists(file.Path))
            {
                var contents = File.ReadAllBytes(file.Path);
                var memoryStream = new MemoryStream(contents);

                ReportViewer.ProcessingMode = ProcessingMode.Local;
                ReportViewer.ExportMode = ExportMode.Local;
                ReportViewer.LoadReport(memoryStream);
                ReportViewer.RefreshReport();
            }
        }
    }
}